Subject: Bug#927436: marked as done (gnome-shell: segfault error 4 in libgnome-shell.so)

From: "Debian Bug Tracking System" <[email-masked]>
Date: Mon, 21 Apr 2025 18:45:08 +0000

Your message dated Mon, 21 Apr 2025 14:42:12 -0400
with message-id <[email-masked]>
and subject line closing old GNOME Shell bugs
has caused the Debian Bug report #927436,
regarding gnome-shell: segfault error 4 in libgnome-shell.so
to be marked as done.

This means that you claim that the problem has been dealt with.
If this is not the case it is now your responsibility to reopen the
Bug report if necessary, and/or fix the problem forthwith.

(NB: If you are a system administrator and have no idea what this
message is talking about, this may indicate a serious mail system
misconfiguration somewhere. Please contact [email-masked]
immediately.)

-- 
927436: https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=927436
Debian Bug Tracking System
Contact [email-masked] with problems

Subject: gnome-shell: segfault error 4 in libgnome-shell.so
From: Pavlo Solntsev <[email-masked]>
To: Debian Bug Tracking System <[email-masked]>
Date: Fri, 19 Apr 2019 14:07:06 -0500

Package: gnome-shell
Version: 3.30.2-3
Severity: normal

Dear Maintainer,

*** Reporter, please consider answering these questions, where appropriate ***

I have a crash that I can't to reproduce. The user session is terminated and I
logged out. In dmesg I see:
[20044.478027] gnome-shell[19403]: segfault at 0 ip 00007f2bca1d03bf sp
00007ffcdcc37660 error 4 in libgnome-shell.so[7f2bca1c8000+1f000]
[20044.478034] Code: f7 86 ff ff 48 8b 78 20 48 89 c3 48 c7 40 20 00 00 00 00
48 85 ff 74 1a e8 46 bb ff ff eb 13 0f 1f 40 00 48 8b 42 08 48 89 df <48> 8b 30
e8 d9 82 ff ff 48 8b 53 28 48 85 d2 75 e8 8b 43 1c 85 c0
[20044.531240] rfkill: input handler enabled
[20057.259990] rfkill: input handler disabled

It happens when I run my program, specifically this part:

        std::cout << "OK respond triggered" << std::endl;
          const GdaDsnInfo *dsninfo =
gdaui_login_get_connection_information(GDAUI_LOGIN(clogin_widget));

          assert(dsninfo);

          LOG_TRACE << "dsninfo.name" << dsninfo->name << std::endl;
          try {
              m_ptrcnc->open(dsninfo);

              Gtk::MessageDialog wdialog(*this,
                                         "Connection has been succesfully
established.",
                                         false,
                                         Gtk::MESSAGE_INFO,
                                         Gtk::BUTTONS_OK,
                                         true);
              wdialog.run();

              Glib::RefPtr<Gtk::StyleContext> style_context =
this->m_button_connect->get_style_context();
              style_context->remove_class("suggested-action");
              style_context->add_class("destructive-action");
              m_button_connect->set_label("Disconnect");

          } catch(Glib::Error &e) {
          }

I can get the crash when I press OK button on wdialog. But it is not constant.
I tried to use gdb but with gdb I always successful. To help more, may be I can
run a code to test gnome-shell and trig the crash. I sued the same code about 6
months ago and never seen any problem. Please let me know how I can get more
info to test this.

*** End of the template - remove these template lines ***

-- System Information:
Debian Release: buster/sid
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'testing'), (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 4.19.0-4-amd64 (SMP w/4 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8), LANGUAGE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash
Init: systemd (via /run/systemd/system)
LSM: AppArmor: enabled

Versions of packages gnome-shell depends on:
ii  dconf-gsettings-backend [gsettings-backend]  0.30.1-2
ii  evolution-data-server                        3.30.5-1
ii  gir1.2-accountsservice-1.0                   0.6.45-2
ii  gir1.2-atspi-2.0                             2.30.0-7
ii  gir1.2-freedesktop                           1.58.3-2
ii  gir1.2-gcr-3                                 3.28.1-1
ii  gir1.2-gdesktopenums-3.0                     3.28.1-1
ii  gir1.2-gdm-1.0                               3.30.2-3
ii  gir1.2-geoclue-2.0                           2.5.2-1
ii  gir1.2-glib-2.0                              1.58.3-2
ii  gir1.2-gnomebluetooth-1.0                    3.28.2-3
ii  gir1.2-gnomedesktop-3.0                      3.30.2.1-1
ii  gir1.2-gtk-3.0                               3.24.5-1
ii  gir1.2-gweather-3.0                          3.28.2-2
ii  gir1.2-ibus-1.0                              1.5.19-4
ii  gir1.2-mutter-3                              3.30.2-6
ii  gir1.2-nm-1.0                                1.14.6-2
ii  gir1.2-nma-1.0                               1.8.20-1
ii  gir1.2-pango-1.0                             1.42.4-6
ii  gir1.2-polkit-1.0                            0.105-25
ii  gir1.2-rsvg-2.0                              2.44.10-2
ii  gir1.2-soup-2.4                              2.64.2-2
ii  gir1.2-upowerglib-1.0                        0.99.10-1
ii  gjs                                          1.54.3-1
ii  gnome-backgrounds                            3.30.0-1
ii  gnome-settings-daemon                        3.30.2-3
ii  gnome-shell-common                           3.30.2-3
ii  gsettings-desktop-schemas                    3.28.1-1
ii  libatk-bridge2.0-0                           2.30.0-5
ii  libatk1.0-0                                  2.30.0-2
ii  libc6                                        2.28-8
ii  libcairo2                                    1.16.0-4
ii  libcanberra-gtk3-0                           0.30-7
ii  libcanberra0                                 0.30-7
ii  libcroco3                                    0.6.12-3
ii  libecal-1.2-19                               3.30.5-1
ii  libedataserver-1.2-23                        3.30.5-1
ii  libgcr-base-3-1                              3.28.1-1
ii  libgdk-pixbuf2.0-0                           2.38.1+dfsg-1
ii  libgirepository-1.0-1                        1.58.3-2
ii  libgjs0g                                     1.54.3-1
ii  libglib2.0-0                                 2.58.3-1
ii  libglib2.0-bin                               2.58.3-1
ii  libgstreamer1.0-0                            1.14.4-1
ii  libgtk-3-0                                   3.24.5-1
ii  libical3                                     3.0.4-3
ii  libjson-glib-1.0-0                           1.4.4-2
ii  libmutter-3-0                                3.30.2-6
ii  libnm0                                       1.14.6-2
ii  libpango-1.0-0                               1.42.4-6
ii  libpangocairo-1.0-0                          1.42.4-6
ii  libpolkit-agent-1-0                          0.105-25
ii  libpolkit-gobject-1-0                        0.105-25
ii  libpulse-mainloop-glib0                      12.2-4
ii  libpulse0                                    12.2-4
ii  libsecret-1-0                                0.18.7-1
ii  libstartup-notification0                     0.12-6
ii  libsystemd0                                  241-3
ii  libx11-6                                     2:1.6.7-1
ii  libxfixes3                                   1:5.0.3-1
ii  mutter                                       3.30.2-6
ii  python3                                      3.7.2-1

Versions of packages gnome-shell recommends:
ii  bolt                  0.7-2
ii  chrome-gnome-shell    10.1-5
ii  gdm3                  3.30.2-3
ii  gkbd-capplet          3.26.1-1
ii  gnome-control-center  1:3.30.3-1
ii  gnome-user-docs       3.30.2-1
ii  iio-sensor-proxy      2.4-2
ii  switcheroo-control    1.2-2
ii  unzip                 6.0-22

Versions of packages gnome-shell suggests:
ii  gir1.2-telepathyglib-0.12   0.24.1-2
ii  gir1.2-telepathylogger-0.2  0.8.2-3

-- no debconf information

Subject: closing old GNOME Shell bugs
From: Jeremy Bícha <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 21 Apr 2025 14:42:12 -0400

There have been many changes to Debian since this bug was originally
reported. If you are still experiencing this issue with Debian 12 (or
with Testing or Unstable), please report a new bug.

Thank you,
Jeremy Bícha